TTF_SetTextPosition(3)

NAME
TTF_SetTextPosition - Set the position of a text object.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_SetTextPosition(TTF_Text *text, int x, int y);

DESCRIPTION
This can be used to position multiple text objects within a single wrapping text area.

This function may cause the internal text representation to be rebuilt.

FUNCTION PARAMETERS

text
    the TTF_Text
     to modify.

x   the x offset of the upper left corner of this text in pixels.

y   the y offset of the upper left corner of this text in pixels.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_GetTextPosition(3)